#!/bin/sh
### ====================================================================== ###
##                                                                          ##
##  Ready API LoadTestRunner Bootstrap Script                               ##
##                                                                          ##
### ====================================================================== ###

### $Id$ ###

DIRNAME=`dirname $0`

# OS specific support (must be 'true' or 'false').
cygwin=false;
case "`uname`" in
    CYGWIN*)
        cygwin=true
        ;;
esac

# Setup READY_API_HOME
if [ "x$READY_API_HOME" = "x" ]
then
    # get the full path (without any relative bits)
    READY_API_HOME=`cd $DIRNAME/..; pwd`
fi
export READY_API_HOME

READY_API_CLASSPATH=$READY_API_HOME/bin/ready-api-ui-1.0.0.jar:$READY_API_HOME/lib/*
JFXRTPATH=`java -cp $READY_API_CLASSPATH com.eviware.soapui.tools.JfxrtLocator`
READY_API_CLASSPATH=$JFXRTPATH:$READY_API_CLASSPATH

export READY_API_CLASSPATH

JAVA_OPTS="-Xms128m -Xmx1024m -XX:MaxPermSize=256m -Dsoapui.properties=soapui.properties -Dgroovy.source.encoding=iso-8859-1 -Dsoapui.home=$READY_API_HOME/bin"
if [ $READY_API_HOME != "" ]
then
    JAVA_OPTS="$JAVA_OPTS -Dsoapui.ext.libraries=$READY_API_HOME/bin/ext"
    JAVA_OPTS="$JAVA_OPTS -Dsoapui.ext.listeners=$READY_API_HOME/bin/listeners"
    JAVA_OPTS="$JAVA_OPTS -Dsoapui.ext.actions=$READY_API_HOME/bin/actions"
fi

export JAVA_OPTS
# For Cygwin, switch paths to Windows format before running java
if $cygwin
then
    READY_API_HOME=`cygpath --path --dos "$READY_API_HOME"`
    READY_API_CLASSPATH=`cygpath --path --dos "$READY_API_CLASSPATH"`
fi

echo ================================
echo =
echo = READY_API_HOME = $READY_API_HOME
echo =
echo ================================

java $JAVA_OPTS -cp $READY_API_CLASSPATH com.smartbear.ready.cmd.runner.pro.SoapUIProLoadTestRunner "$@"
