#!/bin/sh
### ====================================================================== ###
##                                                                          ##
##  Ready API Bootstrap Script                                              ##
##                                                                          ##
### ====================================================================== ###

### $Id$ ###

DIRNAME=`dirname $0`

# OS specific support (must be 'true' or 'false').
cygwin=false;
darwin=false;
case "`uname`" in
    CYGWIN*)
        cygwin=true
        ;;
    Darwin*)
        darwin=true
        ;;
esac

# Setup READY_API_HOME
if [ "x$READY_API_HOME" = "x" ]
then
    # get the full path (without any relative bits)
    READY_API_HOME=`cd $DIRNAME/..; pwd`
fi
export READY_API_HOME

READY_API_CLASSPATH=$READY_API_HOME/bin/ready-api-ui-1.0.0.jar:$READY_API_HOME/lib/*:$READY_API_HOME/.install4j/*
JFXRTPATH=`java -cp $READY_API_CLASSPATH com.eviware.soapui.tools.JfxrtLocator`
READY_API_CLASSPATH=$JFXRTPATH:$READY_API_CLASSPATH

export READY_API_CLASSPATH

JAVA_OPTS="-Xms128m -Xmx1024m -XX:MaxPermSize=256m -Dsoapui.properties=soapui.properties -Dgroovy.source.encoding=iso-8859-1 -Dsoapui.home=$READY_API_HOME_HOME/bin -splash:ready-api-splash.png"

if $darwin
then
    JAVA_OPTS="$JAVA_OPTS -Dswing.crossplatformlaf=apple.laf.AquaLookAndFeel -Dapple.eawt.quitStrategy=CLOSE_ALL_WINDOWS"
fi

if [ $READY_API_HOME != "" ]
then
    JAVA_OPTS="$JAVA_OPTS -Dsoapui.ext.libraries=$READY_API_HOME/bin/ext"
    JAVA_OPTS="$JAVA_OPTS -Dsoapui.ext.listeners=$READY_API_HOME/bin/listeners"
    JAVA_OPTS="$JAVA_OPTS -Dsoapui.ext.actions=$READY_API_HOME/bin/actions"
    JAVA_OPTS="$JAVA_OPTS -Djava.library.path=$READY_API_HOME/bin"
    JAVA_OPTS="$JAVA_OPTS -Dwsi.dir=$READY_API_HOME/wsi-test-tools"
    JAVA_OPTS="$JAVA_OPTS -Dsoapui.plugins.url=http://productextensions.s3.amazonaws.com/SoapUI-Plugins/availablePlugins.json"
# uncomment to disable browser component
#   JAVA_OPTS="$JAVA_OPTS -Dsoapui.browser.disabled=true"
fi

export JAVA_OPTS

# For Cygwin, switch paths to Windows format before running java
if $cygwin
then
    READY_API_HOME=`cygpath --path --dos "$READY_API_HOME"`
    READY_API_CLASSPATH=`cygpath --path --dos "$READY_API_CLASSPATH"`
fi

cd $DIRNAME
echo ================================
echo =
echo = READY_API_HOME = $READY_API_HOME
echo =
echo ================================

java $JAVA_OPTS -cp $READY_API_CLASSPATH com.smartbear.ready.ui.ReadyApiMain "$@"
